package com.dskj.trustlend.bean;

import android.text.TextUtils;

/**
 * **********************
 *
 * @Author bug machine
 * 创建时间： 2024/12/18 16:02
 * 用途
 * **********************
 */
public class ContactBean {

    private String tel;
    private String whatsapp;
    private String email;
    private String time;

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getWhatsapp() {
        return whatsapp;
    }

    public void setWhatsapp(String whatsapp) {
        this.whatsapp = whatsapp;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public static String getShowText(ContactBean contactBean){
        if(contactBean!=null) {
            return (TextUtils.isEmpty(contactBean.getTel())?"":("客戶服務/投訴熱線：" + contactBean.getTel() + "\n")) +
                    (TextUtils.isEmpty(contactBean.getWhatsapp())?"":("WhatsApp：" + contactBean.getWhatsapp() + "\n")) +
                    (TextUtils.isEmpty(contactBean.getEmail())?"":("電子郵件：" + contactBean.getEmail() + "\n")) +
                    (TextUtils.isEmpty(contactBean.getTime())?"":("辦公時間：" + contactBean.getTime() + ""));
        }else{
            return "";
        }

    }
}
